-- the scripts existence on the player itself checks whether the secret end happens
dofile( "data/scripts/lib/utilities.lua" )
function damage_received( damage, message, entity_thats_responsible, is_fatal  )
	local player_id = GetUpdatedEntityID()
	local children = EntityGetAllChildren( player_id )
	if ( children ~= nil) then
		for _a,child in ipairs(children) do
			local uis = EntityGetComponent( child, "UIIconComponent" )
			if ( uis ~= nil ) then
				for _b,ui in ipairs(uis) do
					if ( ComponentGetValue(ui, "name") == "$perk_mystery_eggplant") then -- found eggplant ui element
						GamePrint("Lost eggplant")
						EntityKill( child )
						local scripts = EntityGetComponent( player_id, "LuaComponent" )
						for _c,script in ipairs(scripts) do
							if ( ComponentGetValue(script, "script_source_file") == "mods/misc_perks/files/scripts/eggplant_script_lol.lua" ) then
								EntityRemoveComponent( player_id, script ) -- remove this script
							end
						end
					end
				end
			end
		end
	end
end

if GameHasFlagRun( "ending_game_completed" ) and GameHasFlagRun( "eggplanted" ) == false then -- makes your gold count from xxxx --> 6969 lol
	local player_id = GetUpdatedEntityID()
	local children = EntityGetAllChildren( player_id )
	if ( children ~= nil) then
		for _a,child in ipairs(children) do
			local uis = EntityGetComponent( child, "UIIconComponent" )
			if ( uis ~= nil ) then
				for _b,ui in ipairs(uis) do
					if ( ComponentGetValue(ui, "name") == "$perk_mystery_eggplant") then -- found eggplant ui element
						GameAddFlagRun( "eggplanted" )
						GamePrint( "Wow you got eggplanted" )

						ComponentSetValue( ui, "name", "Golden eggplant" )
						ComponentSetValue( ui, "description", "Much wow" )
						ComponentSetValue( ui, "icon_sprite_file", "mods/misc_perks/files/perks_gfx/ui/golden_eggplant.png" )

						local wallet_comp = EntityGetFirstComponent( player_id, "WalletComponent" )
						if( wallet_comp ~= nil ) then 
							local monies = ComponentGetValue( wallet_comp, "money" )
							local dolladollabills = "69"
							print("yeeter")
							while #tostring(dolladollabills) < #tostring(monies) do
								if #dolladollabills % 2 == 0 then
									dolladollabills = dolladollabills .. "6"
								else
									dolladollabills = dolladollabills .. "9"
								end
							end
							dolladollabills = tonumber(dolladollabills)
							print("yeetest")
							ComponentSetValue( wallet_comp, "money", dolladollabills )
						end
					end
				end
			end
		end
	end
end